package cn.com.infosec.asn1.pkcs;

import cn.com.infosec.asn1.ASN1EncodableVector;
import cn.com.infosec.asn1.ASN1Sequence;
import cn.com.infosec.asn1.DERObject;
import cn.com.infosec.asn1.DERSequence;
import cn.com.infosec.asn1.x509.AlgorithmIdentifier;

public class EncryptionScheme extends AlgorithmIdentifier {
   DERObject objectId;
   DERObject obj;

   EncryptionScheme(ASN1Sequence seq) {
      super(seq);
      this.objectId = (DERObject)seq.getObjectAt(0);
      this.obj = (DERObject)seq.getObjectAt(1);
   }

   public DERObject getObject() {
      return this.obj;
   }

   public DERObject getDERObject() {
      ASN1EncodableVector var1;
      ASN1EncodableVector var10000 = var1 = new ASN1EncodableVector;
      var1.<init>();
      var1.add(this.objectId);
      var10000.add(this.obj);
      return new DERSequence(var1);
   }
}
